Subject: Re: bug#26525: `sit-for' in Flyspell slows typing down, hogs 90% of CPU

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Aug 2020 04:49:08 -0700

Damien Cassou <[email-masked]> writes:

>> I have attached a profile in which Flyspell's flyspell-check-word-p
>> consumes 89% of CPU time while typing text in a buffer. […]
>
> This happened to me in the past then stopped for months. Now it happens
> again and is really annoying. Emacs regularly freezes for around 5
> seconds when I manipulate text.

That was 3 years ago.  Are you still seeing this on a recent version of
Emacs, such as the recently released 27.1?

Best regards,
Stefan Kangas